function [ A ] = PolynomialLeastSquares( t, n )
% Computes system matrix for linear least squares fit of a polynomial
% of degree n to a grid vector t.

% Get the grid size:
m = length(t);
% Evaluate the matrix elements:
A = zeros(m,n+1);
for j = 0:n
    A(:,j+1) = t.^j;
end
end

